trust-store (2.0.0+16.04.20160119-0ubuntu5) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:33:05 +0000

trust-store (2.0.0+16.04.20160119-0ubuntu4) yakkety; urgency=medium

  * d/p/add-missing-random.patch: add missing include
    fixing a build failure with default_random_engine

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2016 10:54:46 +0200

trust-store (2.0.0+16.04.20160119-0ubuntu3) yakkety; urgency=medium

  * Rebuild against libjson-c3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2016 00:38:33 +0200

trust-store (2.0.0+16.04.20160119-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:50:35 +0000

trust-store (2.0.0+16.04.20160119-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Thomas Voß ]
  * Enable dual landing to vivid+o, and all later releases.
  * Merge core::trust::Runtime changes. Add better support for in-
    session service scenarios, with services likely being activated on
    demand. Add load test cases around in-session service scenario.

 -- Rodney Dawes <ci-train-bot@canonical.com>  Tue, 19 Jan 2016 15:22:52 +0000

trust-store (2.0.0+15.10.20150831.3-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Merge wily changes upstream

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 31 Aug 2015 15:11:25 +0000

trust-store (2.0.0-0ubuntu1) wily; urgency=medium

  * Bump major revision to account for toolchain update. Fixes LP:#1452341

 -- Thomas Voß <thomas.voss@canonical.com>  Thu, 23 Jul 2015 09:22:15 +0200

trust-store (1.1.0+15.04.20160118.4-0ubuntu1) vivid; urgency=medium

  * Enable translations for vivid. (LP: #1532870)

 -- Thomas Voß <ci-train-bot@canonical.com>  Mon, 18 Jan 2016 20:35:42 +0000

trust-store (1.1.0+15.04.20160112-0ubuntu1) vivid; urgency=medium

  * Update pot file for trust-store. (LP: #1532870)

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 12 Jan 2016 20:09:20 +0000

trust-store (1.1.0+15.04.20151211-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Revert bump to major revision 2, vivid (+overlay) still has 1.1.0
    and gcc 4.9.

  [ Thomas Voß ]
  * Add a 3rd-party dependency on github.com/vosst/xdg.
  * Add interface mir::AppNameResolver. (LP: #1382610, #1504022)
  * Introduce a trust::PrivilegeEscalationPreventionAgent, filtering out
    invalid requests. Fixes lp:#1518883. (LP: #1518883)

 -- Thomas Voß <ci-train-bot@canonical.com>  Fri, 11 Dec 2015 08:58:16 +0000

trust-store (1.1.0+15.04.20151126-0ubuntu1) vivid; urgency=medium

  [ Thomas Voß ]
  * Revert bump to major revision 2, vivid (+overlay) still has
    1.1.0 and gcc 4.9. 

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 26 Nov 2015 07:32:48 +0000

trust-store (1.1.0+15.04.20150820-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * localize string "<application> is trying to access <service>" (LP:
    #1487142)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 20 Aug 2015 18:19:04 +0000

trust-store (1.1.0+15.04.20150817-0ubuntu1) vivid; urgency=medium

  * Resync trunk. added: po/ku.po

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 17 Aug 2015 07:58:45 +0000

trust-store (1.1.0+15.04.20150629-0ubuntu1) vivid; urgency=medium

  [ Andreas Pokorny ]
  * Remove usage of mir_false make dependency to libmirclient-dev
    architecture independent, and remove unused libgflags dependency.
    removed: debian/trust-store-bin.install.amd64@ debian/trust-store-
    bin.install.arm64@ debian/trust-store-bin.install.armhf@
    debian/trust-store-bin.install.i386@ debian/trust-store-
    bin.install.with_mir

  [ CI Train Bot ]
  * Resync trunk. added: po/af.po po/bg.po po/eo.po po/et.po po/mk.po
    po/ny.po po/sk.po po/sq.po po/tg.po

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 29 Jun 2015 05:00:16 +0000

trust-store (1.1.0+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ thomas-voss ]
  * Add support for enabling the testability driver for the trust
    prompt. (LP: #1420790)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 13:54:28 +0000

trust-store (1.1.0+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ thomas-voss ]
  * Make sure that cached trust requests are sorted by their timestamp
    in descending order. Add regression test case. (LP: #1387734)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 09:56:00 +0000

trust-store (1.1.0+15.04.20141107.1-0ubuntu1) vivid; urgency=low

  [ thomas-voss ]
  * Select correct gettext domain for the trust prompt. (LP: #1354092)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Nov 2014 12:10:51 +0000

trust-store (1.1.0+14.10.20141015-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Add an agent implementation that allows for selectively whitelisting
    certain apps. (LP: #1374577)
  * Do not prompt or cache accesses being issued by the camera app. (LP:
    #1374397)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 15 Oct 2014 18:23:41 +0000

trust-store (1.1.0+14.10.20141014.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make sure that the text domain is only adjusted if i18n is actually
    requested. (LP: #1380916)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 09:16:35 +0000

trust-store (1.1.0+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Alberto Aguirre ]
  * Fix packaging issue due to some install files moving from libtrust-
    store1 to trust-store-bin

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 19:28:10 +0000

trust-store (1.1.0+14.10.20141008.1-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Add i18n support to the store.

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Oct 2014 11:27:16 +0000

trust-store (1.0.0+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Alberto Aguirre ]
  * Attempt mir connection more than once (LP: #1377159)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 16:36:29 +0000

trust-store (1.0.0+14.10.20141001-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version
  * New rebuild forced

  [ thomas-voss ]
  * Throw on invalid mir connection or invalid prompt session. (LP:
    #1370444)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 Oct 2014 20:32:32 +0000

trust-store (1.0.0+14.10.20140826.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Add an agent implementation that strips off version information, and
    leaves other information intact. (LP: #1356343)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Aug 2014 15:11:18 +0000

trust-store (1.0.0+14.10.20140814.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Add a reporter interface and a Google Log based implementation for
    core::trust::CachedAgent. (LP: #1354032)
  * Add a preseed helper and accompanying test.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 13:23:05 +0000

trust-store (1.0.0+14.10.20140807-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Remove unneeded build dependencies.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 09:10:54 +0000

trust-store (1.0.0+14.10.20140806.7-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Bail out in daemons if config and init stage fails. Add a simple
    shell to core::trust::Daemon::Stub for testing purposes. Add
    acceptance test for standalone service, in preparation for patches
    to the Android Camera Service. Add tagged integer types for Pid, Uid
    and Gid. Add test case to cover end-end scenarios for
    UnixDomainSocketRemoteAgent. Add a remote agent interface together
    with an implementation for unix domain sockets.
  * Leverage "PRAGMA user_version" to be able to handle upgrades in a
    future versoin. (LP: #1348481)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 13:48:26 +0000

trust-store (1.0.0+14.10.20140725-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Install test executables to CMAKE_INSTALL_LIBDIR instead of
    CMAKE_INSTALL_BINDIR. (LP: #1343533)
  * Install executor on internal session bus connection. (LP: #1347739)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 09:22:46 +0000

trust-store (1.0.0+14.10.20140718.2-0ubuntu2) utopic; urgency=medium

  * Fix trust-store-tests dependency.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Jul 2014 17:22:15 +0100

trust-store (1.0.0+14.10.20140718.2-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Bump major revision and so name to account for toolchain update.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 15:32:04 +0000

trust-store (0.0.1+14.10.20140717.8-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

  [ thomas-voss ]
  * Provide an agent implementation that leverages Mir's trusted
    prompting API. Introduce a default prompt provider using Qt/QML.
    Provide a test harness around the core::trust::mir::Agent
    implementation and the prompt provider. Add a convenience function
    for processing incoming requests.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 18:45:56 +0000

trust-store (0.0.1+14.10.20140717.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Remove obsolete data/session.conf and data/system.conf files. Adjust
    directory creation default mode to 0755. (LP: #1338587)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 08:52:11 +0000

trust-store (0.0.1+14.10.20140626.1-0ubuntu1) utopic; urgency=low

  [ Thomas Voß ]
  * Initial upload.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

  [ thomas-voss ]
  * Initial commit.
  * Added a packaging setup.
  * Added missing build-dep on pkg-config.
  * Added doxygen documentation to public-facing API. Refactored SQLite3
    access. Adjusted database path to XDG_DATA_HOME/${service-
    name}/trust.db
  * Added first iteration of exposing a trust-store via dbus.
  * Switched to dbus-cpp 1.0.
  * Extended remote trust store test suite.
  * Factor session/query handling into its class, including locking.
  * Switched to cross-process synchronization primitive.
  * Ensure compilation works with gcc 4.7.
  * Add symbol versioning map and required build system adjustments.
  * Add missing build dependencies.
  * Prepare for landing. Make exception thrown from database more
    descriptive.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Jun 2014 08:11:52 +0000
